#!/bin/bash
DISK=$1
CMD=$2
case $CMD in
    read)
        read_num=`iostat  -x -k 1 2 |grep $DISK|sed '1d'|awk '{print $6}'`
        echo $read_num
      ;;
    write)
        write_num=`iostat  -x  -k 1 2 |grep $DISK|sed '1d'|awk '{print $7}'`
        echo $write_num
      ;;
    util)
        util_num=`iostat  -x  -k 1 2 |grep $DISK|sed '1d'|awk '{print $14}'`
        echo $util_num
      ;;
    com_read)
        com_read_num=`iostat  -x  -k 1 2 |grep $DISK|sed '1d'|awk '{print $4}'`
        echo $com_read_num
      ;;
    com_write)
        com_write_num=`iostat  -x  -k 1 2 |grep $DISK|sed '1d'|awk '{print $4}'`
        echo $com_write_num
      ;;
    avgqu-sz)
        com_write_num=`iostat  -x  -k 1 2 |grep $DISK|sed '1d'|awk '{print $9}'`
        echo $com_write_num
      ;;
    await)
        com_write_num=`iostat  -x  -k 1 2 |grep $DISK|sed '1d'|awk '{print $10}'`
        echo $com_write_num
      ;;
    rx_packets)
        com_write_num=`sar -n DEV 1 3|grep -v 'IFACE'|grep -v 'Average'|grep -v '^$'|grep -v 'Linux'|awk '{print $4}'|sort -n| awk 'END {print}'`
        echo $com_write_num
      ;;
    tx_packets)
        com_write_num=`sar -n DEV 1 3|grep -v 'IFACE'|grep -v 'Average'|grep -v '^$'|grep -v 'Linux'|awk '{print $5}'|sort -n| awk 'END {print}'`
        echo $com_write_num
      ;;
esac
